/*
 * generated by Xtext 2.13.0
 */
package com.javadude.dsl5.parser.antlr;

import com.google.inject.Inject;
import com.javadude.dsl5.parser.antlr.internal.InternalGothicSecurityDslParser;
import com.javadude.dsl5.services.GothicSecurityDslGrammarAccess;
import org.eclipse.xtext.parser.antlr.AbstractAntlrParser;
import org.eclipse.xtext.parser.antlr.XtextTokenStream;

public class GothicSecurityDslParser extends AbstractAntlrParser {

	@Inject
	private GothicSecurityDslGrammarAccess grammarAccess;

	@Override
	protected void setInitialHiddenTokens(XtextTokenStream tokenStream) {
		tokenStream.setInitialHiddenTokens("RULE_WS", "RULE_ML_COMMENT", "RULE_SL_COMMENT");
	}
	

	@Override
	protected InternalGothicSecurityDslParser createParser(XtextTokenStream stream) {
		return new InternalGothicSecurityDslParser(stream, getGrammarAccess());
	}

	@Override 
	protected String getDefaultRuleName() {
		return "StateMachine";
	}

	public GothicSecurityDslGrammarAccess getGrammarAccess() {
		return this.grammarAccess;
	}

	public void setGrammarAccess(GothicSecurityDslGrammarAccess grammarAccess) {
		this.grammarAccess = grammarAccess;
	}
}
